%define api 2.4
%define oname bakery
%define name 	%oname%api
%define version 2.4.4
%define release %mkrel 2

%define major 	1
%define libname %mklibname %oname %{api}_%major
%define develname %mklibname -d %oname %{api}

Summary: 	C++ Framework for Document-based GNOME applications
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://bakery.sourceforge.net/
License: 	GPL
Group: 		System/Libraries
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%oname/%{oname}-%{version}.tar.bz2
BuildRequires:	gtkmm2.4-devel gconfmm2.6-devel libglademm-devel >= 2.4 
BuildRequires:	libxml++-devel >= 2.6 gnome-vfsmm2.6-devel
BuildRequires:	libexpat-devel
BuildRequires:	libsm-devel
Buildroot: 	%_tmppath/%oname-%version-buildroot

%description
A C++ Framework for Document-based GNOME applications, using gtkmm. It allows
use of the Document/View architecture.

%package -n	%libname
Group:		System/Libraries
Summary:	C++ Framework for document-based GNOME applications

%description -n %libname
A C++ Framework for Document-based GNOME applications, using gtkmm. It allows
use of the Document/View architecture.

%package -n %develname
Group:          Development/C++
Summary:        Static libraries and header files from %name
Provides:       %name-devel = %version-%release
Provides:	libbakery%{api}-devel = %version-%release
Requires:       %libname = %version
Obsoletes: %mklibname -d bakery 2.4_1

%description -n %develname
Static libraries and headers from %oname.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %oname

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname -f %oname.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_libdir/libbakery-%{api}-%{api}.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc docs/*.html
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/*.a
%_libdir/pkgconfig/*.pc
%_libdir/bakery-%{api}
%_includedir/%oname-2.4/



%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.4.4-2mdv2009.0
+ Revision: 266236
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 2.4.4-1mdv2009.0
+ Revision: 196846
- readd stable version of bakery for glom
- rename spec file
- copy to 2.4 branch
- new version
- new version
- fix obsoleting the old devel package
- new version
- new devel name
- update file list

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 2.4.4
      release: 1mdv2008.1
      revision: 151042
      Copying 2.4.4-1mdv2008.1 to releases/ directory.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

